[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.CaseSensitiveOptions

Are options interpreted case sensitive or not

## Declaration

Source position: custapp.pp line 100

`public property TCustomApplication.CaseSensitiveOptions : Boolean read FCaseSensitiveOptions write FCaseSensitiveOptions;`

## Description

CaseSensitiveOptions determines whether FindOptionIndex and CheckOptions perform searches in a case sensitive manner or not. By default, the search is case-sensitive. Setting this property to False makes the search case-insensitive.

## See also

FindOptionIndex |  | Return the index of an option.
GetOptionValue |  | Return the value of a command-line option.
HasOption |  | Check whether an option was specified.
OptionChar |  | Command-line switch character
CheckOptions |  | Check whether all given options on the command-line are valid.